register_alias = minetest.register_alias
register_biome = minetest.register_biome
register_craft = minetest.register_craft
register_decoration = minetest.register_decoration
register_node = minetest.register_node
register_ore = minetest.register_ore

modname = "datatest"
mymodname = modname .. ":"
myoldmodname = "dt_nodes:"
globalsaturation = 75
globallightness = -50

dofile(minetest.get_modpath(modname) .. "/sounds.lua")

colors = {
	{"", "", "", datatest_sounds.nota_dodo()}, --white
	{"red", "^[colorizehsl:0:" .. globalsaturation .. ":" .. globallightness , "^[colorize:#FF0D0D", datatest_sounds.nota_do()},
	{"orange",  "^[colorizehsl:30:" .. globalsaturation .. ":" .. globallightness, "^[colorize:#FF6619", datatest_sounds.nota_re()},
	{"yellow", "^[colorizehsl:60:" .. globalsaturation .. ":" .. globallightness, "^[colorize:#FFFF19", datatest_sounds.nota_mi()},
	{"green",  "^[colorizehsl:110:" .. globalsaturation .. ":" .. globallightness, "^[colorize:#19FF19", datatest_sounds.nota_fa()},
	{"blue", "^[colorizehsl:220:" .. globalsaturation .. ":" .. globallightness, "^[colorize:#1919FF", datatest_sounds.nota_sol()},
	{"purple", "^[colorizehsl:300:" .. globalsaturation .. ":" .. globallightness, "^[colorize:#B319FF", datatest_sounds.nota_la()},
	{"pink", "^[colorizehsl:330:" .. globalsaturation .. ":" .. globallightness, "^[colorize:#FF19FF", datatest_sounds.nota_si()}	
}
--dofile(minetest.get_modpath("colorlandia_sounds") .. "/init.lua")

dofile(minetest.get_modpath(modname) .. "/nodes.lua")
dofile(minetest.get_modpath(modname) .. "/ores.lua")
--dofile(minetest.get_modpath(modname) .. "/decorations.lua")
dofile(minetest.get_modpath(modname) .. "/crafts.lua")
dofile(minetest.get_modpath(modname) .. "/biomes.lua")
dofile(minetest.get_modpath(modname) .. "/decorations.lua")